// DLT_ZSTDlg.h : header file
//

#if !defined(AFX_DLT_ZSTDLG_H__37CDEFA7_8DAD_44EB_8E75_6505BEF3D383__INCLUDED_)
#define AFX_DLT_ZSTDLG_H__37CDEFA7_8DAD_44EB_8E75_6505BEF3D383__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDLT_ZSTDlg dialog
#include "MirAdo.h"
#include "BtnST.h"

class CDLT_ZSTDlg : public CDialog
{
// Construction
public:
	void UpdateDLT();
	void UpdateSSQ();
	void UpdateP5();
	void UpdateP3();
	void Update3D();

	void Update225();
	void Update7XC();
	void Update7LC();

	void DownTXT(CString url,CString fn);
	void DownLoad();
	void Analyse_gap(int iCount);
	void Analyse_DLT();
	void Analyse_3D();
	void Draw_Trend_P5();
	void Draw_Trend_3D();
	void Draw_Trend_SSQ();
	int GetHQIndex(CString strHQ);
	int GetHQIndex2(CString strHQ);
	void LoadCmdList();
	void Draw_Trend();
	CString SQLExcute(CString strSQL);
	CMirAdo m_MirAdo;
	CDLT_ZSTDlg(CWnd* pParent = NULL);	// standard constructor
	CFont font;
	unsigned long count;
// Dialog Data
	//{{AFX_DATA(CDLT_ZSTDlg)
	enum { IDD = IDD_DLT_ZST_DIALOG };
	CButtonST	m_btn_upssq;
	CButtonST	m_btn_upp5;
	CButtonST	m_btn_upp3;
	CButtonST	m_btn_updlt;
	CButtonST	m_btn_up7xc;
	CButtonST	m_btn_up7lc;
	CButtonST	m_btn_up3d;
	CButtonST	m_btn_up225;
	CButtonST	m_btn_unknow;
	CButtonST	m_btn_sqlexcute;
	CButtonST	m_btn_reloadcmd;
	CButtonST	m_btn_hq_fenxi;
	CButtonST	m_btn_down;
	CButtonST	m_btn_deltab;
	CButtonST	m_btn_check;
	CButtonST	m_btn_analyse;
	CButtonST	m_btn_30stat;
	CComboBox	m_Analyse_DLT_LINE;
	CEdit	m_edit;
	CComboBox	m_cmdlist;
	CString	m_strRet;
	CString	m_strSQL;
	CString	m_strRecordCount;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDLT_ZSTDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDLT_ZSTDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnClose();
	afx_msg void OnChangeEditRet();
	afx_msg void OnButtonSqlexcute();
	afx_msg void OnSelchangeComboCmdlist();
	afx_msg void OnButtonDeltab();
	afx_msg void OnBUTTONReLoadCMD();
	afx_msg void OnVscrollEditRet();
	afx_msg void OnButton30stat();
	afx_msg void OnBUTTONAnalyse();
	afx_msg void OnBUTTONcheck();
	afx_msg void OnButtonHqFenxi();
	afx_msg void OnSelchangeCOMBOAnalyseDLTLINE();
	afx_msg void OnButtonDown();
	afx_msg void OnButtonUpdlt();
	afx_msg void OnButtonUpssq();
	afx_msg void OnButtonUp3d();
	afx_msg void OnButtonUpp3();
	afx_msg void OnButtonUpp5();
	afx_msg void OnButtonUp225();
	afx_msg void OnButtonUp7xc();
	afx_msg void OnButtonUp7lc();
	afx_msg void OnButtonLast();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLT_ZSTDLG_H__37CDEFA7_8DAD_44EB_8E75_6505BEF3D383__INCLUDED_)
